---
title: HTMLMeterElement.labels
slug: Web/API/HTMLMeterElement/labels
tags:
  - API
  - HTML DOM
  - HTMLMeterElement
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}</div>

<p>The <code><strong>HTMLMeterElement.labels</strong></code> read-only property returns a {{domxref("NodeList")}} of the {{HTMLElement("label")}} elements associated with the {{HTMLElement("meter")}} element.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>labelElements</var> = <var>meter</var>.labels;
</pre>

<h3 id="Return_value">Return value</h3>

<p>A {{domxref("NodeList")}} containing the <code>&lt;label&gt;</code> elements associated with the <code>&lt;meter&gt;</code> element.</p>

<h2 id="Example">Example</h2>

<h3 id="HTML">HTML</h3>

<pre class="brush: html">&lt;label id="label1" for="test"&gt;Label 1&lt;/label&gt;
&lt;meter id="test" min="0" max="100" value="70"&gt;70&lt;/meter&gt;
&lt;label id="label2" for="test"&gt;Label 2&lt;/label&gt;
</pre>

<h3 id="JavaScript">JavaScript</h3>

<pre class="brush: js">window.addEventListener("DOMContentLoaded", function() {
  const meter = document.getElementById("test");
  for(var i = 0; i &lt; meter.labels.length; i++) {
    console.log(meter.labels[i].textContent); // "Label 1" and "Label 2"
  }
});</pre>

<p>{{EmbedLiveSample("Example", "100%", 30)}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("HTML WHATWG", "forms.html#dom-lfe-labels", "labels")}}</td>
   <td>{{Spec2("HTML WHATWG")}}</td>
   <td>No change</td>
  </tr>
  <tr>
   <td>{{SpecName("HTML5 W3C", "forms.html#dom-lfe-labels", "labels")}}</td>
   <td>{{Spec2("HTML5 W3C")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.HTMLMeterElement.labels")}}</p>
